CONFIG +=			release \
					warn_on \
					qt \
					thread
					
android {
CONFIG +=			mobility
}



TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		pcdmonitorremoted
} else {
        TARGET =		pcdmonitorremote
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					network

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

SOURCES +=			src/main.cpp \
					src/pcdmonitorremote.cpp \
					../pcdmonitor/share/displaywidget.cpp \
					../pcdmonitor/share/ipwidget.cpp

HEADERS +=			src/pcdmonitorremote.h \
					../pcdmonitor/share/displaywidget.h \
					../pcdmonitor/share/ipwidget.h

RESOURCES +=		res/pcdmonitorremote.qrc

macx{

ICON =			res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/pcdmonitorremote
}
target.path =		$$PREFIX
target.files =		bin/pcdmonitorremote
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/pcdmonitorremote
}

win32 {
RC_FILE =			res/resource.rc
}
win32 { 
LIBS += 			-loleaut32 \
        			-liphlpapi \
        			-lole32 \
        			-luuid
}

DISTFILES += \
    android/AndroidManifest.xml \
    android/gradle/wrapper/gradle-wrapper.jar \
    android/gradlew \
    android/res/values/libs.xml \
    android/build.gradle \
    android/gradle/wrapper/gradle-wrapper.properties \
    android/gradlew.bat

ANDROID_PACKAGE_SOURCE_DIR = $$PWD/android

